unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    StringGrid1: TStringGrid;
    Button2: TButton;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var wiersze:TStrings;
    i:integer;
begin
  wiersze:=TStringlist.Create;
  with Stringgrid1 do
  for i:=0 to RowCount-1 do wiersze.AddStrings(Rows[i]);
  wiersze.SaveToFile('Tabela.txt');
  wiersze.Free;
  ShowMessage('Dane z tabeli zapisane do pliku Tabela.txt');
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  i: integer;
  j: integer;
begin
   with Stringgrid1 do
   for i := 0 to RowCount - 1 do
     for j := 0 to ColCount - 1 do
           Cells[j,i]:=InttoStr(Random(20));
end;

end.
